org.apache.hc.client5.http.impl

## Class AuthSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.AuthSupport

    public class AuthSupport
    extends Object

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`AuthSupport()`

### Method Summary

Methods
`static void` `extractFromAuthority(org.apache.hc.core5.net.URIAuthority authority, CredentialsStore credentialsStore)`
`static org.apache.hc.core5.http.HttpHost` `resolveAuthTarget(org.apache.hc.core5.http.HttpRequest request, HttpRoute route)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthSupport

    public AuthSupport()

### Method Detail

#### extractFromAuthority

    public static void extractFromAuthority(org.apache.hc.core5.net.URIAuthority authority,
                            CredentialsStore credentialsStore)

#### resolveAuthTarget

    public static org.apache.hc.core5.http.HttpHost resolveAuthTarget(org.apache.hc.core5.http.HttpRequest request,
                                                      HttpRoute route)